<?php

namespace jrosset\CliProgram;

use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;
use Throwable;

/**
 * Interface for all commands
 */
interface ICommand {
    /**
     * Runs the command.
     *
     * @return int The command exit code
     *
     * @throws Throwable If an error occurs
     */
    public function run (InputInterface $input, OutputInterface $output): int;
}